<?php
use Doctrine\Common\Annotations\AnnotationRegistry;

include __DIR__ .
  '/vendor/lisachenko/go-aop-php/src/Go/Core/AspectKernel.php';
include __DIR__ .
  '/ApplicationAspectKernel.php';

$applicationAspectKernel = ApplicationAspectKernel::getInstance();
$applicationAspectKernel->init(array(
  'appLoader' => __DIR__ . '/vendor/autoload.php',
  'appDir' => __DIR__ . '/app/',
  'cacheDir' => __DIR__ . '/app/cache/aop',
  'autoloadPaths' => array(
    'Go'
    => __DIR__ . '/vendor/lisachenko/go-aop-php/src/',
    'TokenReflection'
    => __DIR__ . '/vendor/andrewsville/php-token-reflection/',
    'Doctrine\\Common'
    => __DIR__ . '/vendor/doctrine/common/lib/',
    'Dissect'
    => __DIR__ . '/vendor/jakubledl/dissect/src/',
  ),
  'includePaths' => array(
    __DIR__ . '/src/'
  )
));

